package com.xylink.log;


import org.apache.logging.log4j.core.Logger;
import org.apache.logging.log4j.core.LoggerContext;

/**
 * @Description: log4j2的实现层
 */
public class Log4j2Impl implements XyLinkLog{


    private static Logger logger = LoggerContext.getContext().getLogger( "com.xylink.log.Log4j2Impl");

    public static XyLinkLog build(){
        return new Log4j2Impl();
    }

    @Override
    public void error(Object obj) {
        logger.error(obj);
    }

    @Override
    public void error(String msg) {
        logger.error(msg);
    }

    @Override
    public void error(Object obj, Throwable throwable) {
        logger.error(obj, throwable);
    }

    @Override
    public void error(String msg, Throwable throwable) {
        logger.error(msg, throwable);
    }

    @Override
    public void info(Object obj) {
        logger.info(obj);
    }

    @Override
    public void info(String msg) {
        logger.info(msg);
    }

}
